/**
 * @param {import('../types').Options} config
 */
export function createSwarm(config: import('../types').Options): {
    addrs: (options?: (import("ipfs-core-types/dist/src").AbortOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<import("ipfs-core-types/dist/src/swarm").AddrsResult[]>;
    connect: (addr: any, options?: (import("ipfs-core-types/dist/src").AbortOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<void>;
    disconnect: (addr: any, options?: (import("ipfs-core-types/dist/src").AbortOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<void>;
    localAddrs: (options?: (import("ipfs-core-types/dist/src").AbortOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<import("@multiformats/multiaddr/dist/src").Multiaddr[]>;
    peers: (options?: (import("ipfs-core-types/dist/src/swarm").PeersOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<import("ipfs-core-types/dist/src/swarm").PeersResult[]>;
};
//# sourceMappingURL=index.d.ts.map